/* p2_1.c Toggling green LED in C using header file register definitions. 
 * This program toggles green LED for 0.5 second ON and 0.5 second OFF.
 * The green LED is connected to P2.1.
 * The LEDs are high active (a '1' turns ON the LED).
 *
 * Tested with Keil 5.20 and MSP432 Device Family Pack V2.2.0.
 */

#include "msp.h"

void delayMs(int n);

int main(void) {
    P2->SEL1 &= ~2;         /* configure P2.1 as simple I/O */
    P2->SEL0 &= ~2;
    P2->DIR |= 2;           /* P2.1 set as output pin */

    while (1) {
        P2->OUT |= 2;       /* turn on P2.1 green LED */
        delayMs(500);
        P2->OUT &= ~2;      /* turn off P2.1 green LED */
        delayMs(500);
    }
}

/* delay milliseconds when system clock is at 3 MHz */
void delayMs(int n) {
    int i, j;

    for (j = 0; j < n; j++)
        for (i = 250; i > 0; i--);      /* Delay 1 ms*/
}
